package com.pcloud.book.book.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2018/12/3 20:35
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ListNoAuthGroupBookParam implements Serializable {

    @ApiModelProperty("isbn/issn/图书名称")
    private String name;

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("图书类型标识")
    private Long templetId;

    @ApiModelProperty("图书类型标识")
    private Long secondTempletId;

    @ApiModelProperty("图书类型标识")
    private Long thirdTempletId;

    @ApiModelProperty("当前页")
    private Integer currentPage;

    @ApiModelProperty("每页条数")
    private Integer numPerPage;

    @ApiModelProperty("类型")
    private String typeCode;

    public Long getThirdTempletId() {
        return thirdTempletId;
    }

    public void setThirdTempletId(Long thirdTempletId) {
        this.thirdTempletId = thirdTempletId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getTempletId() {
        return templetId;
    }

    public Long getSecondTempletId() {
        return secondTempletId;
    }

    public void setSecondTempletId(Long secondTempletId) {
        this.secondTempletId = secondTempletId;
    }

    public void setTempletId(Long templetId) {
        this.templetId = templetId;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    @Override
    public String toString() {
        return "ListNoAuthBookParam{" +
                "name='" + name + '\'' +
                ", channelId=" + channelId +
                ", templetId=" + templetId +
                ", secondTempletId=" + secondTempletId +
                ", currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                ", typeCode='" + typeCode + '\'' +
                '}';
    }
}
